.keicho-links {
    padding: 0 20px;
    position: relative;
    overflow: hidden;
    max-height: 162px;
    transition: max-height 0.3s ease;
}

.keicho-links.is-open {
    max-height: 1000px;
}

.keicho-links::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 27px;
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0), rgba(255, 255, 255, 1) 100%);
    pointer-events: none;
    transition: opacity 0.3s;
    z-index: 2;
}

.keicho-links.is-open::after {
    opacity: 0;
}

.keicho-links--list {
    display: grid;
    gap: 8px;
    margin: 0 0 20px;
    padding: 0;
    grid-template-columns: repeat(2, 1fr);
}

.keicho-links--list li {
    display: flex;
    list-style: none;
}

.keicho-links--list a {
    display: flex;
    align-items: center;
    width: 100%;
    min-height: 62px;
    max-height: 62px;
    padding: 0 20px 0 15px;
    text-align: left;
    font-size: 14px;
    line-height: 1.3;
    color: #333;
    background-color: #fff;
    border: 1px solid #dcdcdc;
    border-radius: 4px;
    text-decoration: none;
    box-sizing: border-box;
    position: relative;
    transition: background 0.2s;
}

.keicho-links--list a::after {
    content: "";
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%) rotate(45deg);
    width: 6px;
    height: 6px;
    border-top: 1px solid #8c8c8c;
    border-right: 1px solid #8c8c8c;
}

.keicho-links--list a:hover {
    background-color: #f5f5f5;
}

.keicho-links-more {
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
}

.keicho-links-more a {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    padding: 5px 0;
    background: #fff;
    color: #333;
    font-size: 14px;
    text-decoration: none;
    cursor: pointer;
    transition: background 0.2s;
    position: relative;
    padding-right: 18px;
}

.keicho-links-more a::before,
.keicho-links-more a::after {
    content: "";
    position: absolute;
    right: 0;
    top: 50%;
    width: 12px;
    height: 2px;
    background-color: #333;
    margin-top: -1px;
}

.keicho-links-more a::after {
    transform: rotate(90deg);
}


/* PC用------------- */
@media only screen and (min-width: 780px) {
    .keicho-links {
        max-height: 100px;
    }

    .keicho-links::after {
        height: 35px;
    }

    .keicho-links.is-open {
        max-height: 1000px;
    }

    .keicho-links--list {
        grid-template-columns: repeat(4, 1fr);
    }
}

/* システム用 */
.block-genre-page-head {
    margin: 0 0 25px;
    padding: 0 20px;
}

.block-genre-page--sub.block-readmore-contents.js-readmore-contents {
    display: none;
}